import java.util.ArrayList;
import java.util.List;


public class Room
{
	private static List<Room> rooms = new ArrayList<Room>();
	protected Person currentOwner;
	private String id;
	private int beds;
	private boolean shower;
	private float dailyRate;
	private boolean isAvailable = true;
	public Room(String id, int beds, boolean shower, float dailyRate)
	{
		this.id = id;
		this.beds = beds;
		this.shower = shower;
		this.dailyRate = dailyRate;
		rooms.add(this);
	}
	
	public static List<Room> getRooms()
	{
		return rooms;
	}
	
	public boolean isAvailable()
	{
		return isAvailable;
	}
	
	public void reserve()
	{
		isAvailable = false;
	}
	
	public String getId()
	{
		return id;
	}
}
